#ifndef _DCFLIB_H
#define _DCFLIB_H

#include "stdio.h"
#include "types.h"

#define DCFILE FILE

// Opens a file for reading only. Returns NULL if error.
#define dcfopen(filename) fopen((filename),"rb")

// Moves to a position in the file. Returns 0 if ok.
#define dcfseek( cfile, position ) fseek( cfile, position, SEEK_SET); 

#define dcftell( cfile ) ftell(cfile)
// Returns the current file position.

#define dcflength( cfile ) filelength(fileno(cfile))
// Returns the length of the file.

#define dcfread( cfile, data, size ) fread(data, sizeof(byte), size, cfile)
// Reads 'size' bytes of the file into 'data'. Returns 0 if ok.

#define dcfclose( cfile ) fclose( cfile )
// Closes 'cfile'. Frees all memory associated with file.

#endif
